package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWF082Response {

    @Parameter(name = "Adresat")
    String adresat();

    @Parameter(name = "CO")
    String co();

    @Parameter(name = "CP")
    String cp();

    @Parameter(name = "CisloPasu")
    String cisloPasu();

    @Parameter(name = "Ctvrt")
    String ctvrt();

    @Parameter(name = "DIC")
    String dic();

    @Parameter(name = "DatumExpiraceKontaktnichUdaju")
    java.util.Date datumExpiraceKontaktnichUdaju();

    @Parameter(name = "DatumPlatnostiOP")
    java.util.Date datumPlatnostiOP();

    @Parameter(name = "DatumPodnikaniDo")
    java.util.Date datumPodnikaniDo();

    @Parameter(name = "DatumPodnikaniOd")
    java.util.Date datumPodnikaniOd();

    @Parameter(name = "DatumPosledniAktualizace")
    java.util.Date datumPosledniAktualizace();

    @Parameter(name = "DatumZalozeniCIFu")
    java.util.Date datumZalozeniCIFu();

    @Parameter(name = "DruheJmeno")
    String druheJmeno();

    @Parameter(name = "EMail")
    String eMail();

    @Parameter(name = "EkonomickySektor")
    String ekonomickySektor();

    @Parameter(name = "Funkce")
    String funkce();

    @Parameter(name = "ICO")
    String ico();

    @Parameter(name = "ICOHlavnihoSpolku")
    String iCOHlavnihoSpolku();

    @Parameter(name = "IDSdeleniDatumPodnikaniDo")
    Long iDSdeleniDatumPodnikaniDo();

    @Parameter(name = "IDSdeleniDatumPodnikaniOd")
    Long iDSdeleniDatumPodnikaniOd();

    @Parameter(name = "IDSdeleniEmail")
    Long iDSdeleniEmail();

    @Parameter(name = "IDSdeleniExpiraceKU")
    Long iDSdeleniExpiraceKU();

    @Parameter(name = "IDSdeleniICOHlavnihoSpolku")
    Long iDSdeleniICOHlavnihoSpolku();

    @Parameter(name = "IDSdeleniMobil")
    Long iDSdeleniMobil();

    @Parameter(name = "JinyOsobniDoklad2Cislo")
    String jinyOsobniDoklad2Cislo();

    @Parameter(name = "JinyOsobniDoklad2Platnost")
    java.util.Date jinyOsobniDoklad2Platnost();

    @Parameter(name = "JinyOsobniDoklad2Typ")
    String jinyOsobniDoklad2Typ();

    @Parameter(name = "Jmeno")
    String jmeno();

    @Parameter(name = "KodObchodnihoMista")
    String kodObchodnihoMista();

    @Parameter(name = "NezadouciKlient")
    String nezadouciKlient();

    @Parameter(name = "OKEC")
    String okec();

    @Parameter(name = "OROddil")
    String oROddil();

    @Parameter(name = "ORSoud")
    String oRSoud();

    @Parameter(name = "ORVlozka")
    String oRVlozka();

    @Parameter(name = "ObchodniJmeno")
    String obchodniJmeno();

    @Parameter(name = "ObchodniMistoNazev")
    String obchodniMistoNazev();

    @Parameter(name = "Obec")
    String obec();

    @Parameter(name = "Osloveni")
    String osloveni();

    @Parameter(name = "OsobniBanker")
    String osobniBanker();

    @Parameter(name = "PSC")
    String psc();

    @Parameter(name = "PlatnostKontaktnichUdaju")
    String platnostKontaktnichUdaju();

    @Parameter(name = "PlatnostPasuDo")
    java.util.Date platnostPasuDo();

    @Parameter(name = "PocetZamestnancu")
    String pocetZamestnancu();

    @Parameter(name = "Posta")
    String posta();

    @Parameter(name = "PravniForma")
    String pravniForma();

    @Parameter(name = "Prijmeni")
    String prijmeni();

    @Parameter(name = "RatingKlienta")
    String ratingKlienta();

    @Parameter(name = "Rezidence")
    String rezidence();

    @Parameter(name = "RodneCislo")
    String rodneCislo();

    @Parameter(name = "SerieACisloOP")
    String serieACisloOP();

    @Parameter(name = "SocialneEkonomickaSkupina")
    String socialneEkonomickaSkupina();

    @Parameter(name = "SpiciUcet")
    String spiciUcet();

    @Parameter(name = "SpravniCelek")
    String spravniCelek();

    @Parameter(name = "Telefon")
    String telefon();

    @Parameter(name = "TelefonDalsi")
    String telefonDalsi();

    @Parameter(name = "TelefonDalsiPredvolba")
    String telefonDalsiPredvolba();

    @Parameter(name = "TelefonMobilni")
    String telefonMobilni();

    @Parameter(name = "TelefonMobilniPredvolba")
    String telefonMobilniPredvolba();

    @Parameter(name = "TelefonPredvolba")
    String telefonPredvolba();

    @Parameter(name = "TitulPred")
    String titulPred();

    @Parameter(name = "TitulZa")
    String titulZa();

    @Parameter(name = "TypKlienta")
    String typKlienta();

    @Parameter(name = "Ulice")
    String ulice();

    @Parameter(name = "VztahKBance")
    String vztahKBance();

    @Parameter(name = "ZECO")
    String zeco();

    @Parameter(name = "Zeme")
    String zeme();

    @Parameter(name = "ZkraceneJmeno")
    String zkraceneJmeno();

}